Skip to content

Create Listing Statuses

You call thislisting:self

POST
/v1/listing/status
curl --request POST \
--url https://api.zentail.com/v1/listing/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "statuses": [ { "listing_id": "example", "sku": "example", "status": "PUBLISHED", "channel_variant_id": "example", "channel_status": "example", "listing_url": "example", "buyable": true, "errors": [ { "severity": "NOTICE", "classification": "inventory", "affected_attributes": [ "example" ], "error": "missing_value", "message": "example" } ] } ] }'

This endpoint is restricted to developers who have registered an application with Zentail. Please refer to our guide on building a sales channel integration to learn more about the registration process and how to use the listing endpoint.

Media typeapplication/json
object
statuses
required
Array<object>
object
listing_id

The listing status Id

string
sku
required

The product sku

string
status
required

The status of the listing must be one of [‘PUBLISHED’, ‘UNPUBLISHED’, ‘SUPPRESSED’, ‘RETIRED’]

string
Allowed values: PUBLISHED UNPUBLISHED SUPPRESSED RETIRED
channel_variant_id

A unique identifier for this variant on the channel

string
channel_status

The raw status of the listing as reported by the channel

string
listing_url

Location of the listing

string
buyable
required

Whether the listing is buyable. This means it has inventory available and can be purchased on the channel.

boolean
errors
required

Any errors to display to the user

Array<object>
object
severity
required
string
Allowed values: NOTICE WARNING ERROR
classification
string
default: other
Allowed values: inventory images grouping listing_data other
affected_attributes
required
Array<string>
error
string
default: other
Allowed values: missing_value invalid_value restricted_value other
message
required
string

Success

Media type*/*
object
errors
Array<object>
object
listing_id
string
sku
string
messages
Array<string>

Bad Request

Media type*/*
object
errorCode
number
Example
400
errorMessages
Array<string>
referenceId
string format: uuid

Permission Denied

Media type*/*
object
errorCode
number
Example
403
errorMessages
Array<string>
referenceId
string format: uuid

Not Found

Media type*/*
object
errorCode
number
Example
404
errorMessages
Array<string>
referenceId
string format: uuid

Zentail Error

Media type*/*
object
errorCode
number
Example
500
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string

Zentail Error

Media type*/*
object
errorCode
number
Example
503
errorMessages
Array<string>
referenceId
string format: uuid

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog